Bug 224748 - Update html/rendering/replaced-elements/attributes-for-embedded-content-and-images/ tests from WPT
Summary: Update html/rendering/replaced-elements/attributes-for-embedded-content-and-i...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Images (show other bugs)
Version: WebKit Local Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: cathiechen
URL:
Keywords: InRadar
Depends on:
Blocks: 224197
  Show dependency treegraph
 
Reported: 2021-04-19 04:41 PDT by cathiechen
Modified: 2021-04-23 02:53 PDT (History)
11 users (show)

See Also:


Attachments
Patch (37.38 KB, patch)
2021-04-19 04:49 PDT, cathiechen
no flags Details | Formatted Diff | Diff
Patch (37.45 KB, patch)
2021-04-19 10:35 PDT, cathiechen
no flags Details | Formatted Diff | Diff
Patch (39.30 KB, patch)
2021-04-20 02:24 PDT, cathiechen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description cathiechen 2021-04-19 04:41:06 PDT
Update mapping width and height as the default aspect ratio tests from WPT
Comment 1 cathiechen 2021-04-19 04:49:22 PDT
Created attachment 426407 [details]
Patch
Comment 2 Rob Buis 2021-04-19 05:03:24 PDT
Comment on attachment 426407 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=426407&action=review

> LayoutTests/imported/w3c/ChangeLog:8
> +        Update the tests for "mapping attribute width and height as the implicit aspect ratio" which are based on the latest agreement.

Can you add WPT SHA this is based on?
Comment 3 cathiechen 2021-04-19 06:18:24 PDT
Comment on attachment 426407 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=426407&action=review

>> LayoutTests/imported/w3c/ChangeLog:8
>> +        Update the tests for "mapping attribute width and height as the implicit aspect ratio" which are based on the latest agreement.
> 
> Can you add WPT SHA this is based on?

Done! Thanks:)
Comment 4 cathiechen 2021-04-19 10:35:29 PDT
Created attachment 426443 [details]
Patch
Comment 5 Rob Buis 2021-04-19 22:27:57 PDT
Comment on attachment 426443 [details]
Patch

The SHA should be shorter, for now it is okay, but next time please remember :)
Comment 6 cathiechen 2021-04-20 02:24:46 PDT
Created attachment 426528 [details]
Patch
Comment 7 cathiechen 2021-04-20 02:27:47 PDT
(In reply to Rob Buis from comment #5)
> Comment on attachment 426443 [details]
> Patch
> 
> The SHA should be shorter, for now it is okay, but next time please remember
> :)

Done! Thanks:)
BTW, I noticed that picture-aspect-ratio.html is flaky, so I added it to  LayoutTests/TestExpectations.
Comment 8 EWS 2021-04-20 03:19:28 PDT
Committed r276296 (236778@main): <https://commits.webkit.org/236778@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 426528 [details].
Comment 9 Ling Ho 2021-04-23 02:53:38 PDT
rdar://76890554